// Calendar.cpp: implementation of the CCalendar class.
//
//////////////////////////////////////////////////////////////////////

#include "Calendar.h"
#include "Global.h"
#include "CalendarGregorian.h"
#include "CalendarJapan.h"
#include "CalendarMiddleEarth.h"
#include "CalendarTekumel.h"

CCalendar* CCalendar::m_pInstance = NULL;

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CCalendar::CCalendar()
{

}

CCalendar::~CCalendar()
{
	delete m_pInstance;
	m_pInstance = NULL;
}

CCalendar* CCalendar::instance()
{
	if (!m_pInstance)
	{
		switch (CGlobal::getCalendar())
		{
		case CCalendar::GREGORIAN:
			m_pInstance = CCalendarGregorian::instance();
			break;
		case CCalendar::JAPAN:
			m_pInstance = CCalendarJapan::instance();
			break;
		case CCalendar::MIDDLE_EARTH:
			m_pInstance = CCalendarMiddleEarth::instance();
			break;
		case CCalendar::TEKUMEL:
			m_pInstance = CCalendarTekumel::instance();
			break;
		default:
			// error
			break;
		}
	}
	return m_pInstance;
}
