// Calendar.h: interface for the CCalendar class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(_CALENDAR_H)
#define _CALENDAR_H

#include <cstddef>
#include <string>

using namespace std;

class CCalendar  
{
public:
	enum eCalendar {GREGORIAN, JAPAN, MIDDLE_EARTH, TEKUMEL};
	virtual int getFirstMonth() = 0;
	virtual int getLastMonth() = 0;
	virtual int getMonthLength(int nMonth) = 0;
	virtual string getMonthName(int nMonth) = 0;
	virtual string getHoliday(int nDay, int nMonth) = 0;
	static CCalendar* instance();
protected:
	CCalendar();
	virtual ~CCalendar();
	static CCalendar* m_pInstance;
};

#endif // !defined(_CALENDAR_H)


