// ClimateMidAtlantic.cpp: implementation of the CClimateMidAtlantic class.
//
//////////////////////////////////////////////////////////////////////

#include <cstddef>

#include "ClimateMidAtlantic.h"

int CClimateMidAtlantic::m_nAveTemp[] = {20, 35, 45, 55, 65, 75, 85, 80, 65, 50, 35, 25};

int CClimateMidAtlantic::m_nWeatherTable[12][4] = {
    {30,35,0,100}, {25,35,0,100}, {20,30,0,100}, {35,50,0,100}, {25,40,42,100}, {15,25,27,100}, 
    {10,15,17,100}, {10,15,17,100}, {15,25,27,100}, {25,35,36,100}, {25,40,0,100}, {30,45,0,100}
};

int CClimateMidAtlantic::m_nWindTable[12][5] = {
    {60,80,90,100,0}, {50,70,85,100,0}, {40,60,75,95,100}, {60,85,95,100,0}, {70,90,100,0,0}, {80,90,100,0,0}, 
    {80,100,0,0,0}, {80,100,0,0,0}, {60,80,95,100,0}, {40,65,85,95,100}, {40,60,80,90,100}, {60,80,90,95,100}
};

int CClimateMidAtlantic::m_nPrecipTable[12][5] = {
    {0,40,70,80,100},
    {0,50,80,95,100},
    {0,60,80,100,0},
    {0,40,70,90,100},
    {0,50,80,100,0},
    {0,60,90,100,0},
    {0,80,95,100,0},
    {0,80,95,100,0},
    {0,60,80,90,100},
    {0,50,80,90,100},
    {0,40,70,85,100},
    {0,40,70,80,100}
};

int CClimateMidAtlantic::m_nOvercastTable[] = {10,20,70,100};


CClimateMidAtlantic* CClimateMidAtlantic::m_pInstance = NULL;

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CClimateMidAtlantic::CClimateMidAtlantic()
{
}

CClimateMidAtlantic::~CClimateMidAtlantic()
{

}

int CClimateMidAtlantic::getAveTemp(int nMonth)
{
	return m_nAveTemp[nMonth];
}

int CClimateMidAtlantic::getWeather(int nMonth, int nTyp)
{
	return m_nWeatherTable[nMonth][nTyp];
}


int CClimateMidAtlantic::getWind(int nMonth, int nTyp)
{
	return m_nWindTable[nMonth][nTyp];
}


int CClimateMidAtlantic::getPrecip(int nMonth, int nTyp)
{
	return m_nPrecipTable[nMonth][nTyp];
}


int CClimateMidAtlantic::getOvercast(int nTyp)
{
	return m_nOvercastTable[nTyp];
}

CClimateMidAtlantic* CClimateMidAtlantic::instance()
{
	if (!m_pInstance)
	{
		m_pInstance = new CClimateMidAtlantic();
	}
	return m_pInstance;
}
