// Precip.h: interface for the CPrecip class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(_PRECIP_H)
#define _PRECIP_H

#include "WeatherDetail.h"

class CPrecip : public CWeatherDetail 
{
public:
	enum ePrecip {NONE, SPRINKLE, SHOWER, HEAVY, STEADY};
	CPrecip(int nPrecip = NONE);
	virtual ~CPrecip();
	virtual string getName() const;
	float getAmount() const;
	float getDuration() const;
	bool isStorm() const;
	bool isExtendedStorm() const;
	bool isSnow() const;
	virtual CPrecip& operator=(const CPrecip& rhs);
protected:
	void updateStats();
	virtual void randomType();
	static string m_strNames[STEADY+1];
	float m_fDuration;
	float m_fAmount;
	bool m_bStorm;
	bool m_bExtendedStorm;
	bool m_bSnow;
};

#endif // !defined(_PRECIP_H)

