// Stats.h: interface for the CStats class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(_STATS_H)
#define _STATS_H

#include <cstddef>

class CStats
{
public:
	enum eStats {LOW, AVERAGE, HIGH, TOTAL};
	CStats();
	virtual ~CStats();
	float getRainfall() const;
	float getSnowfall() const;
	float getSnowDepth() const;
	int getSunshine() const;
	int getTempStat(int nMonth, int nStat) const;
	void calculateAverage(int nMonth);
	void updatePrecip(float fAmount, float fDuration, bool bSnow =  false);
	void updateTemp(int nMonth, int nTemp);
	void incrSunshine();
	void clear();
protected:
	float m_fRainfall;      /* yearly total rainfall */
	float m_fSnowfall;      /* yearly total snowfall */
	float m_fSnowDepth;     /* current snow on the ground */
    int m_nSunshine;			/* number of days of sunshine */
	int m_nTempStats[12][TOTAL+1];

	void clearTempStats();
	void meltSnow(float fDuration);
};

#endif // !defined(_STATS_H)
