// Temperature.h: interface for the CTemperature class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(_TEMPERATURE_H)
#define _TEMPERATURE_H

#include "WeatherDetail.h"

class CTemperature : public CWeatherDetail
{
public:
	enum eTemperature {COLD, CHILLY, FAIR, WARM, HOT};
	CTemperature(int nTemp = COLD);
	CTemperature(CWeatherReport* pReport);
	virtual ~CTemperature();
	virtual string getName() const;
	int getDegrees() const;
	virtual CTemperature& operator=(const CTemperature& rhs);
protected:
	virtual void randomType();
	static string m_strNames[HOT+1];
	int randomTemp();
	int m_nTemperature;
	static int m_nVariationTable[9];
};

#endif // !defined(_TEMPERATURE_H)
